%define	url_ver	%(echo	%{version}|cut	-d.	-f1,2)

Name:       mate-applets
Version:    1.18.1
Release:    %mkrel 3
Summary:    MATE Desktop panel applets
Group:      Graphical desktop/MATE
License:    GPLv2+	and	LGPLv2+
URL:        http://mate-desktop.org
Source0:    http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: pkgconfig(libgtop-2.0) >= 2.12.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires: pkgconfig(mate-settings-daemon) >= 1.17.0
BuildRequires: pkgconfig(dbus-glib-1) >= 0.74
BuildRequires: pkgconfig(dbus-1) >= 1.1.2
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gio-2.0) >= 2.15.3
BuildRequires: pkgconfig(gobject-2.0) >= 2.36.0
BuildRequires: pkgconfig(libnotify) >= 0.7.0
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= 1.17.0
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.17.0
BuildRequires: pkgconfig(mateweather) >= 1.16.0
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires: pkgconfig(upower-glib) >= 0.9.4
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: pkgconfig(pygobject-3.0)
BuildRequires: libiw-devel
%ifarch %{ix86} x86_64
BuildRequires: cpupower-devel
%endif
BuildRequires: libxklavier-devel
BuildRequires: itstool
BuildRequires: networkmanager-devel
BuildRequires: yelp-tools
BuildRequires: pkgconfig(gucharmap-2.90) >= 3.0.0
BuildRequires: pkgconfig(libwnck-3.0) >= 3.0.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(gtksourceview-3.0)

%rename mate-netspeed-applet

Requires: polkit-agent
Requires: usermode-consoleonly
Requires: python-gi
# (akien) typelib() requires seem too loose, on mga5 to mga6 upgrades
# urpmi may stay happy keeping the mga5 package, leading to upgrade issues
Requires: %{_lib}mate-panel-applet-gir4.0 >= 1.18.0

%description
MATE Desktop panel applets

%prep
%autosetup

%build
%configure2_5x	\
	--disable-schemas-compile	\
	--disable-static	\
	--with-x	\
	--enable-polkit	\
	--enable-ipv6	\
	--enable-stickynotes	\
        --enable-frequency-selector \
	--with-cpufreq-lib=cpupower \
	--libexecdir=%{_libexecdir}/mate-applets

%make_build

%install
%make_install

#make python script executable
#http://forums.fedoraforum.org/showthread.php?t=284962
chmod a+x %{buildroot}%{python_sitelib}/mate_invest/chart.py

%find_lang %{name} --with-gnome --all-name --with-help

%files -f %{name}.lang
%doc AUTHORS README
%license COPYING
%config(noreplace) %{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mate.CPUFreqSelector.conf
%{_bindir}/mate-invest-chart
%{_bindir}/mate-cpufreq-selector
%{_datadir}/pixmaps/mate-cpufreq-applet
%{_datadir}/polkit-1/actions/org.mate.cpufreqselector.policy
%{python_sitelib}/mate_invest
%{_libexecdir}/mate-applets
%{_mandir}/man?/*
%{_datadir}/mate-applets/
%{_datadir}/mate-panel/applets/
%{_datadir}/dbus-1/services/org.mate.panel.*.service
%{_datadir}/dbus-1/system-services/org.mate.CPUFreqSelector.service
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/hicolor/*x*/devices/*.png
%{_datadir}/icons/hicolor/*x*/status/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/mate/ui/*-menu.xml
%{_datadir}/pixmaps/mate-accessx-status-applet


%changelog
* Sat May 06 2017 akien <akien> 1.18.1-3.mga6
+ Revision: 1099273
- Ease upgrade with too loose typelib(MatePanelApplet) requires

* Mon Apr 10 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1096334
- Update to 1.18.1 version

* Sun Mar 19 2017 wally <wally> 1.18.0-2.mga6
+ Revision: 1093613
- fix ARM build

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092617
- Update to 1.18.0 version
- Updated to 1.17.0 version

* Sun Dec 25 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1077306
- new version 1.16.0
- build with gtk3

* Fri Jul 08 2016 pterjan <pterjan> 1.14.0-2.mga6
+ Revision: 1039722
- Add upstream patch to fix build with kernel 4.7

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001495
- Update to 1.14.0 version

* Sat Apr 02 2016 pterjan <pterjan> 1.13.1-3.mga6
+ Revision: 997708
- Fix file list

* Sat Apr 02 2016 pterjan <pterjan> 1.13.1-2.mga6
+ Revision: 997694
- Disable cpufreq on !x86

* Sat Apr 02 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 997689
- Update to 1.13.1 version

* Tue Feb 09 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 953004
- Drop unneeded patch
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908225
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 899214
-Update to 1.12.0 version

* Tue Sep 01 2015 wally <wally> 1.10.3-1.mga6
+ Revision: 872110
- new version 1.10.3

* Sat Jun 27 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 846477
-Update to 1.10.1 version

* Mon Jun 22 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 838635
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 748901
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 737433
- Update to 1.8.1 version
- Use autosetup macro in specfile

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 682183
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 1.8.0-3.mga5
+ Revision: 668653
- rebuild for new upower

* Sat May 31 2014 pterjan <pterjan> 1.8.0-2.mga5
+ Revision: 628324
- Rebuild for new Python

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600110
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598040
- Update to 1.7.x version

* Mon Feb 10 2014 tarakbumba <tarakbumba> 1.6.2-2.mga5
+ Revision: 587837
- Rebuild for upower-glib changes
- Tidy buildrequires in specfile

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 563707
-New bugfix version: 1.6.2

* Sat Nov 02 2013 fwang <fwang> 1.6.1-3.mga4
+ Revision: 548930
- add requires on python-gi

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.1-1.mga4
+ Revision: 461838
- fix RPM group

  + tarakbumba <tarakbumba>
    - imported package mate-applets

